package com.chinaitop.depot.intelligent.grainsituation.model;

import java.util.Date;

public class TLightinfo {
    private String vlightcode;

    private String vlightname;

    private String vcfcode;

    private Integer itdh;

    private Integer vstaute;

    private Date vupdatetime;

    private String vremark;

    /**
     * 编号
     * @return vLightCode 编号
     */
    public String getVlightcode() {
        return vlightcode;
    }

    /**
     * 编号
     * @param vlightcode 编号
     */
    public void setVlightcode(String vlightcode) {
        this.vlightcode = vlightcode == null ? null : vlightcode.trim();
    }

    /**
     * 名称
     * @return vLightName 名称
     */
    public String getVlightname() {
        return vlightname;
    }

    /**
     * 名称
     * @param vlightname 名称
     */
    public void setVlightname(String vlightname) {
        this.vlightname = vlightname == null ? null : vlightname.trim();
    }

    /**
     * 所属仓库
     * @return vCfCode 所属仓库
     */
    public String getVcfcode() {
        return vcfcode;
    }

    /**
     * 所属仓库
     * @param vcfcode 所属仓库
     */
    public void setVcfcode(String vcfcode) {
        this.vcfcode = vcfcode == null ? null : vcfcode.trim();
    }

    /**
     * 通道
     * @return iTdh 通道
     */
    public Integer getItdh() {
        return itdh;
    }

    /**
     * 通道
     * @param itdh 通道
     */
    public void setItdh(Integer itdh) {
        this.itdh = itdh;
    }

    /**
     * 状态
     * @return vStaute 状态
     */
    public Integer getVstaute() {
        return vstaute;
    }

    /**
     * 状态
     * @param vstaute 状态
     */
    public void setVstaute(Integer vstaute) {
        this.vstaute = vstaute;
    }

    /**
     * 更新时间
     * @return vUpdateTime 更新时间
     */
    public Date getVupdatetime() {
        return vupdatetime;
    }

    /**
     * 更新时间
     * @param vupdatetime 更新时间
     */
    public void setVupdatetime(Date vupdatetime) {
        this.vupdatetime = vupdatetime;
    }

    /**
     * 备注
     * @return vRemark 备注
     */
    public String getVremark() {
        return vremark;
    }

    /**
     * 备注
     * @param vremark 备注
     */
    public void setVremark(String vremark) {
        this.vremark = vremark == null ? null : vremark.trim();
    }
}